Analytics

Reporting

These endpoints provide reporting capabilities for assets of the DAM, making it easier to build your own customised reports.

Retrieve asset reports

This endpoint allows you to retrieve a human readable report of any of the assets in the DAM. The report will include all the metadata of the asset.

get
https://{your-bynder-domain}/v7/analytics/api/v1/report/asset

Query Parameters

limitinteger

The maximum number of asset reports to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateCreatedstring(date-time)

Retrieve reports of assets created after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateCreatedstring(date-time)

Set a date range together with the “fromDateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

fromDateModifiedstring(date-time)

Retrieve reports of assets modified after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateModifiedstring(date-time)

Set a date range together with the “fromDateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetIdstring

Example:3DF53D46-4E72-47A0-A42ECC22CDE211D5

auditstring

Example:ACCEPTED

copyrightstring
dateCreatedstring(date-time)

Example:2018-12-21T13:11:46.000+00:00

dateModifiedstring(date-time)

Example:2019-01-04T13:19:47.000+00:00

datePublishedstring(date-time)

Example:2016-12-29T10:39:52.000+00:00

dateRemovedstring(date-time)

Example:2019-01-04T13:19:47.000+00:00

descriptionstring

Example:Asset Description

idHashstring

Example:6bb400d042cfe865

isArchivedboolean
isLimitedboolean
isPublicboolean
isRemovedboolean

Example:true

isWatermarkedboolean
metapropertiesobject

Example:{"metaproperty_1":"option3","metaproperty_2":"option2, option1","metaproperty_3":""}

namestring

Example:Asset 1

phashstring

Example:56033317620

typestring

Example:image

userCreatedstring

Example:00000000-0000-0000-0000000000000000

userModifiedstring

Example:00000000-0000-0000-0000000000000000

get/v7/analytics/api/v1/report/asset
 
200 application/json

Retrieve specific asset report

This endpoint allows you to retrieve a human readable report for a specific asset in the DAM. The report will include all the metadata of the asset.

get
https://{your-bynder-domain}/v7/analytics/api/v1/report/asset/{assetId}

Path Parameters

assetIdstringrequired

Asset id.

Example:CD729A10-9101-47C7-9D14FA2E14CF28D9

Response

200 application/json

Successful response

assetIdstring

Example:CD729A10-9101-47C7-9D14FA2E14CF28D9

auditstring

Example:ACCEPTED

copyrightstring
dateCreatedstring(date-time)

Example:2019-03-31T23:59:40.000+00:00

dateModifiedstring(date-time)

Example:2020-12-04T21:18:27.000+00:00

datePublishedstring(date-time)

Example:2019-03-31T23:55:21.000+00:00

descriptionstring

Example:Asset 2 description

idHashstring

Example:792e23855f02cdcb

isArchivedboolean
isLimitedboolean
isPublicboolean
isRemovedboolean
isWatermarkedboolean
metapropertiesobject

Example:{"metaproperty_1":"option3","metaproperty_2":"option2, option1","metaproperty_3":""}

namestring

Example:Asset 2

phashstring

Example:56033317620

typestring

Example:image

userCreatedstring

Example:4BE80C1E-D8FF-4104-8CF774F06B1E60CE

userModifiedstring

Example:00000000-0000-0000-0000000000000000

get/v7/analytics/api/v1/report/asset/{assetId}
 
200 application/json

Historical Data

This endpoint provides historical Analytics data beyond the 12 month retention period that applies to the Analytics API endpoints. Note: This data isn’t available by default. Please, contact your CSM if you require access to it.

Retrieve historical data in CSV format

This endpoint provides historical Analytics data beyond the 12 month retention period that applies to the Analytics API endpoints.

get
https://{your-bynder-domain}/v7/analytics/api/v1/historical/{year}.csv

Path Parameters

yearstringrequired

Year.

Example:2022

Response

200 text/csv

Successful response

get/v7/analytics/api/v1/historical/{year}.csv
 
200 text/csv